EDIT - bug #5492

Doubtful synonyms and misapplied names to be displayed correctly
01/22/2016 05:01 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.0

Severity: normal Found in Version:

Description

Currently synonyms and misapplied names with taxon status doubtful do not show the doubtful marker (question mark in front) and
do not showTaxonBase.namePhrase at all.

Example from Cuba Checklist http:/portal.cybertaxonomy.org/flora-cuba:

® "Oncidium carthaginense" which is a misapplied name for Trichocentrum undulatum in Flora of Cuba
http://portal.cybertaxonomy.org/flora-cuba . Should be

o ? "Oncidium carthaginense" auct.

¢ Pharbitis calycosa A. Rich. should be ?Pharbitis calycosa A. Rich.

see also #5491, #5753

Subtasks:

Related issues:
Related to EDIT - feature request #5647: Aggregate misapplied names with mult... Closed

History

#1 - 02/19/2016 12:43 PM - Andreas Miiller
- Keywords set to Cuba
- Target version changed from Unassigned CDM tickets to Release 4.0

- Priority changed from New to Highest

#2 - 03/09/2016 05:14 PM - Andreas Miiller

- Subject changed from Doubtful misapplied names to be displayed correctly to Doubtful synonyms and misapplied names to be displayed correctly

#3 - 03/23/2016 05:59 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

done : cdm-dataportal ea3933d r27551

| was unsure if the '?' and the taxon name should be separated by a whitespace or not. In the example above both variants are given:
1. for invalid taxa with and space before the double quotes

2. for hetereo- and homo-typic synonyms without that separator

Was this intentional?

| implemented the variant with the space separator as general solution.

#4 - 03/30/2016 03:26 PM - Andreas Miiller

Hallo,
http://portal.cybertaxonomy.org/flora-cuba:
http://portal.cybertaxonomy.org/flora-cuba
https://dev.e-taxonomy.eu/redmine/issues/5491

hier eine kleine Layoutfrage in die Runde. Bei doubtful Taxa, Synonymen und Misapplied Names setzen wir ja ein ? vor den Taxon Namen.

Die Frage ist jetzt, ob zwischen das Fragezeichen und den Namen ein Leerzeichen sein sollte oder nicht.

Bei der Cachegenerierung (z.B: im Editor) haben wir glaube ich derzeit keine Fragezeichen, wahrend im Portal derzeit ein Leerzeichen gesetzt wird.
Wie ist das in der Literatur tblich?

Relevant fir http://dev.e-taxonomy.eu/trac/ticket/5492

Viele Grif3e,

Andreas M.

... falls kein Leerzeichen gesetzt werden soll, gilt das auch fur Misapplied Names? Diese haben ja das Anfiihrungszeichen, z.B.
? "Oncidium carthaginense" auct.
AM

#5 - 03/30/2016 03:29 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Fixed correctly. Before closing the ticket we should wait what taxonomists say about the whitespace issue.

#6 - 04/22/2016 02:51 PM - Andreas Kohlbecker

Hallo Andreas,

ich vermute, dass es da keinen einheitlichen typographischen Standard in der Literatur gibt. Ich persénlich wiirde in allen Féllen ein (zumindest
schmales) Leerzeichen vor dem Taxonnamen bei Synonymen keines nach dem "=" oder "-" Zeichen bevorzugen.

Beste Grif3e,

Norbert

#7 - 04/22/2016 02:53 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

8998dcd r27785 : NARROW NO-BREAK SPACE used as space

#8 - 05/02/2016 05:41 PM - Andreas Miiller
is #5753 already implemented for this ticket?

#9 - 05/05/2016 01:38 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#10 - 05/31/2016 01:03 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller

Replying to a.mueller:

is #5753 already implemented for this ticket?

This is done now!

#11 - 06/01/2016 10:45 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Unfortunately we should return #5753 as the question mark is to small.

Also the question mark should be in italics (even not in case of protected title cache) as it is pure taxon information. Not related to the name. By the

way, also auct. (appended phrase of the taxon) should not be in italics as it is also taxon information (while an appended phrase of the name part
should be in italics | guess).
http://dev.e-taxonomy.eu/trac/ticket/5492
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Und
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment8

Beside this the ticket can be closed.

#12 - 06/02/2016 01:32 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

the italic ? is fixed now http:/test.e-taxonomy.eu/dataportal/preview/flora-cuba/cdm_dataportal/taxon/32bf30fd-9141-4789-bffc-002cf5b46659

#13 - 06/02/2016 02:50 PM - Andreas Miiller

moved the auct. (appended phrase) issue to new ticket #5861

#14 - 08/31/2018 10:20 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#15 - 08/31/2018 11:03 AM - Andreas Miiller

- Related to feature request #5647: Aggregate misapplied names with multiple sensu references added
